Package org.apache.tapestry5.internal.pageload

## Class EmbeddedComponentAssemblerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.pageload.EmbeddedComponentAssemblerImpl

- All Implemented Interfaces:
    `Locatable`

      public class EmbeddedComponentAssemblerImpl
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddedComponentAssemblerImpl​(ComponentAssemblerSource assemblerSource, ComponentInstantiatorSource instantiatorSource, ComponentClassResolver componentClassResolver, String componentClassName, ComponentResourceSelector selector, EmbeddedComponentModel embeddedModel, String templateMixins, Location location, boolean strictMixinParameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `addMixinsToElement​(ComponentPageElement newElement)` |
    `org.apache.tapestry5.internal.pageload.ParameterBinder` | `createParameterBinder​(String qualifiedParameterName)` |
    `org.apache.tapestry5.internal.pageload.ComponentAssembler` | `getComponentAssembler()` |
    `Set<String>` | `getFormalParameterNames()` |
    `Location` | `getLocation()` | Returns the location associated with this object for error reporting purposes.
    `boolean` | `isBound​(String parameterName)` |
    `void` | `setBound​(String parameterName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmbeddedComponentAssemblerImpl

          public EmbeddedComponentAssemblerImpl​(ComponentAssemblerSource assemblerSource,
                                                ComponentInstantiatorSource instantiatorSource,
                                                ComponentClassResolver componentClassResolver,
                                                String componentClassName,
                                                ComponentResourceSelector selector,
                                                EmbeddedComponentModel embeddedModel,
                                                String templateMixins,
                                                Location location,
                                                boolean strictMixinParameters)

      Parameters:
        `assemblerSource` -
        `instantiatorSource` - used to access component models
        `componentClassResolver` - used to convert mixin types to component models
        `componentClassName` - class name of embedded component
        `selector` - used to select template and other resources
        `embeddedModel` - embedded model (may be null for components defined in the template)
        `templateMixins` - list of mixins from the t:mixins element (possibly null)
        `location` - location of components element in its container's template
        `strictMixinParameters` - if true (e.g., the 5.4 DTD) then mixin parameters must be fully qualified

  - ### Method Detail

    - #### getComponentAssembler

          public org.apache.tapestry5.internal.pageload.ComponentAssembler getComponentAssembler()

    - #### createParameterBinder

          public org.apache.tapestry5.internal.pageload.ParameterBinder createParameterBinder​(String qualifiedParameterName)

    - #### isBound

          public boolean isBound​(String parameterName)

    - #### setBound

          public void setBound​(String parameterName)

    - #### addMixinsToElement

          public int addMixinsToElement​(ComponentPageElement newElement)

    - #### getLocation

          public Location getLocation()

      Description copied from interface: `Locatable`
      Returns the location associated with this object for error reporting purposes.
      Specified by:
        `getLocation` in interface `Locatable`

    - #### getFormalParameterNames

          public Set<String> getFormalParameterNames()